summaryrefslogtreecommitdiff
path: root/libre/virtualbox-libre/virtualbox-libre-parabola-source.install
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-07-26 05:55:03 -0300
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-07-26 05:55:03 -0300
commitff0071716aa6bf9100e49508b815da77cb735942 (patch)
treeae5d93c6e188ac2555b0341812d2ad9f9cb1c25b /libre/virtualbox-libre/virtualbox-libre-parabola-source.install
parent14ba2fbc3763f75ff0b3cdede444930ee949d097 (diff)
virtualbox-libre: adding free patches and free distros icons
Diffstat (limited to 'libre/virtualbox-libre/virtualbox-libre-parabola-source.install')
-rw-r--r--libre/virtualbox-libre/virtualbox-libre-parabola-source.install29
1 files changed, 29 insertions, 0 deletions
diff --git a/libre/virtualbox-libre/virtualbox-libre-parabola-source.install b/libre/virtualbox-libre/virtualbox-libre-parabola-source.install
new file mode 100644
index 000000000..966fb5681
--- /dev/null
+++ b/libre/virtualbox-libre/virtualbox-libre-parabola-source.install
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# arg 1: the new package version
+post_install() {
+ cat << EOF
+==> To build and install your modules run dkms install vboxguest/${1%-*}
+==> To do this automatically at startup you can add dkms in your DAEMONS
+EOF
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ pre_remove "$2"
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install "$1"
+}
+
+# arg 1: the old package version
+pre_remove() {
+ # Remove modules using dkms
+ [ -n "${1%-*}" ] && dkms remove vboxguest/${1%-*} --all >/dev/null || true
+}
+
+# vim:set ts=2 sw=2 ft=sh et: